Package: org.gradle.api.artifacts.component

## [Java] Interface ModuleComponentSelector

- org.gradle.api.artifacts.component.ModuleComponentSelector

- All Superinterfaces:
    ComponentSelector

  Criteria for selecting a component instance that is available as a module version.

  Since:
    1.10

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `String` | `getGroup()` The group of the module to select the component from.
    `String` | `getModule()` The name of the module to select the component from.
    `String` | `getVersion()` The version of the module to select the component from.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface ComponentSelector` | `getDisplayName, matchesStrictly`

- - ### Method Detail

    - #### public String getGroup()

      The group of the module to select the component from.

      Returns:
        Module group
      Since:
        1.10

    - #### public String getModule()

      The name of the module to select the component from.

      Returns:
        Module name

    - #### public String getVersion()

      The version of the module to select the component from.

      Returns:
        Module version